### Constructor

# Gtk.DirectoryList.new

#### Declaration [src]

    GtkDirectoryList*
    gtk_directory_list_new (
      const char* attributes,
      GFile* file
    )

#### Description [src]

Creates a new `GtkDirectoryList`.

The `GtkDirectoryList` is querying the given `file` with the given `attributes`.

#### Parameters

`attributes` | `const char*`
| The attributes to query with
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`file` | `GFile*`
| The file to query
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkDirectoryList`
a new `GtkDirectoryList`
Ownership of the data is transferred to the caller